#pragma once
#include "unit.h"



class Bat : public Unit
{

  public:


    bool                      m_Up;

    int                       m_WalkSpeed;



    Bat();


    virtual void              Update( Level& Level, const GR::f32 fElapsedTime );


    virtual void              ProcessEvent( Level& Level, const eUnitEvent& Event );

};
